summaryrefslogtreecommitdiff
path: root/tests/mv/diag
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2000-06-12 06:01:06 +0000
committerJim Meyering <jim@meyering.net>2000-06-12 06:01:06 +0000
commit32dd0d64b99ea08b52677538d7e6718e433b93db (patch)
treeea2958395bed07961a2dd5700367d4f2a5b8cd78 /tests/mv/diag
parent66fcd6e2eb7d9c1d9554b75f07572ae8e52ccc89 (diff)
downloadcoreutils-32dd0d64b99ea08b52677538d7e6718e433b93db.tar.xz
*** empty log message ***
Diffstat (limited to 'tests/mv/diag')
-rwxr-xr-xtests/mv/diag60
1 files changed, 60 insertions, 0 deletions
diff --git a/tests/mv/diag b/tests/mv/diag
new file mode 100755
index 000000000..83714fff7
--- /dev/null
+++ b/tests/mv/diag
@@ -0,0 +1,60 @@
+#!/bin/sh
+# make sure we get proper diagnostics: e.g., with --target-dir=d but no args
+
+if test "$VERBOSE" = yes; then
+ set -x
+ mv --version
+fi
+
+pwd=`pwd`
+tmp=diag-$$
+trap 'status=$?; cd $pwd; rm -rf $tmp && exit $status' 0
+trap 'exit $?' 1 2 13 15
+
+framework_failure=0
+mkdir $tmp || framework_failure=1
+cd $tmp || framework_failure=1
+
+touch f1 || framework_failure=1
+touch f2 || framework_failure=1
+touch d || framework_failure=1
+
+if test $framework_failure = 1; then
+ echo 'failure in testing framework'
+ exit 1
+fi
+
+# Make sure we get English translations.
+LANGUAGE=C
+export LANGUAGE
+LC_ALL=C
+export LC_ALL
+LANG=C
+export LANG
+
+# These mv commands should all exit nonzero.
+
+# Too few args. This first one did fail, but with an incorrect diagnostic
+# until fileutils-4.0u.
+mv --target=d >> out 2>&1 && fail=1
+mv no-file >> out 2>&1 && fail=1
+
+# Target is not a directory.
+mv f1 f2 f1 >> out 2>&1 && fail=1
+mv --target=f2 f1 >> out 2>&1 && fail=1
+
+cat > exp <<\EOF
+mv: missing file argument
+Try `mv --help' for more information.
+mv: missing file argument
+Try `mv --help' for more information.
+mv: when moving multiple files, last argument must be a directory
+Try `mv --help' for more information.
+mv: specified target, `f2' is not a directory
+Try `mv --help' for more information.
+EOF
+
+cmp out exp || fail=1
+
+(exit $fail)
+exit $fail